Update the Workspace Settings
curl --request PUT \
--url https://app.blinkops.com/api/v1/workspaces/{ws_id}/settings \
--header 'BLINK-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"display_name": "<string>",
"logo_file_identifier": "<string>",
"settings": {
"case_management_dashboard_enabled": true,
"default_overview_page_dashboard": "<string>",
"enable_overview_page": true,
"features": {
"agents": true,
"case-management": true
},
"type": "<string>"
}
}
'import requests
url = "https://app.blinkops.com/api/v1/workspaces/{ws_id}/settings"
payload = {
"description": "<string>",
"display_name": "<string>",
"logo_file_identifier": "<string>",
"settings": {
"case_management_dashboard_enabled": True,
"default_overview_page_dashboard": "<string>",
"enable_overview_page": True,
"features": {
"agents": True,
"case-management": True
},
"type": "<string>"
}
}
headers = {
"BLINK-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'BLINK-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
display_name: '<string>',
logo_file_identifier: '<string>',
settings: {
case_management_dashboard_enabled: true,
default_overview_page_dashboard: '<string>',
enable_overview_page: true,
features: {agents: true, 'case-management': true},
type: '<string>'
}
})
};
fetch('https://app.blinkops.com/api/v1/workspaces/{ws_id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"display_name": "<string>",
"logo_file_identifier": "<string>",
"settings": {
"case_management_dashboard_enabled": true,
"default_overview_page_dashboard": "<string>",
"enable_overview_page": true,
"features": {
"agents": true,
"case-management": true
},
"type": "<string>"
}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Workspaces
Update the Workspace Settings
Update the workspace settings by provided values
PUT
/
workspaces
/
{ws_id}
/
settings
Update the Workspace Settings
Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
Workspace ID
Body
application/json
Settings to update
Was this page helpful?
⌘I